<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>top.wu2020</groupId>
        <artifactId>wu-lazy-cloud-heartbeat-start</artifactId>
        <version>1.2.9-JDK17-SNAPSHOT</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>wu-lazy-cloud-heartbeat-server-cluster-start</artifactId>
    <description>云上心跳服务端</description>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-lazy-cloud-heartbeat-server-cluster</artifactId>
        </dependency>
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-smart-acw-client</artifactId>
        </dependency>

    </dependencies>

    <build>
        <plugins>
<!--            <plugin>-->
<!--                <groupId>org.graalvm.buildtools</groupId>-->
<!--                <artifactId>native-maven-plugin</artifactId>-->
<!--                <version>0.9.23</version>-->
<!--                <configuration>-->
<!--                    &lt;!&ndash; imageName用于设置生成的二进制文件名称 &ndash;&gt;-->
<!--                    <imageName>${project.artifactId}</imageName>-->
<!--                    &lt;!&ndash; mainClass用于指定main方法类路径 &ndash;&gt;-->
<!--                    <mainClass>org.framework.lazy.cloud.network.heartbeat.server.cluster.start.LazyCloudHeartbeatServerClusterStart</mainClass>-->
<!--                    <buildArgs>-->
<!--                        &#45;&#45;no-fallback-->
<!--                    </buildArgs>-->
<!--                </configuration>-->
<!--                <executions>-->
<!--                    <execution>-->
<!--                        <id>build-native</id>-->
<!--                        <goals>-->
<!--                            <goal>compile-no-fork</goal>-->
<!--                        </goals>-->
<!--                        <phase>package</phase>-->
<!--                    </execution>-->
<!--                </executions>-->
<!--            </plugin>-->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-deploy-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>